<?php
/**
 * Default template for displaying products.
 *
 * @author  Qwebmaster
 * @package Qwebmaster/Templates
 * @version 1.0
 */

defined( 'ABSPATH' ) || exit;




$options = get_option( 'wasp_option' );
$prediction_limit = $options['wasp_how_many_items_general'];
//$title_location = $options[''];
// skip email and adding post meta if Debug is checked
//if ($options['wsrr_enable'] != 1) {
//qwebmaster_print_array($options);

echo '<ul class="woocommerce_ai_list_default">';
  foreach ($products as $key => $product_id) {
    if ($prediction_limit <= 0) {
      break;    /* Break when limit is reached */
    }
    $product = wc_get_product( $product_id );

    // Title
    $title_color = 'color:'.$options['wasp_title_color'].';';
    $title_size = 'font-size:'.$options['wasp_title_size'].'px;';
    $product_title = '<span class="woocommerce_ai_list_product_title" style="'.$title_color.$title_size.'">'.strip_tags($product->get_name()).'</span>';
    // Disabled elements
    if(!isset($options['wasp_enable_title'])){
      $product_title = '';
    }

    // Price
    $price_color = 'color:'.$options['wasp_price_color'].';';
    $price_size = 'font-size:'.$options['wasp_price_size'].'px;';
    $product_price = '<div class="woocommerce_ai_list_price" style="'.$price_color.$price_size.'">'.$product->get_price_html().'</div>';
    // Disabled elements
    if(!isset($options['wasp_enable_price'])){
      $product_price = '';
    }

   ?>
    <li>
    	<a class="woocommerce_ai_list_a" href="<?php echo esc_url( $product->get_permalink() ); ?>">

    		<?php
        // Title
        if ($options['wasp_location_title'] == 'top') {
           echo $product_title;
        }
        // Price
        if ($options['wasp_location_price'] == 'top') {
           echo $product_price;
        }
        echo $product->get_image();
        // Title
        if ($options['wasp_location_title'] == 'bottom') {
           echo $product_title;
        }
        // Price
        if ($options['wasp_location_price'] == 'bottom') {
           echo $product_price;
        }
        ?>
    	</a>

    	<?php //if ( ! empty( $show_rating ) ) : ?>
    		<?php //echo wc_get_rating_html( $product->get_average_rating() ); ?>
    	<?php //endif; ?>

    	<?php
      //echo '<div class="woocommerce_ai_list_price">'.$product->get_price_html().'</div>';
      ?>

      <?php
      echo apply_filters( 'woocommerce_loop_add_to_cart_link',
      sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="button %s product_type_%s">%s</a>',
        esc_url( $product->add_to_cart_url() ),
        esc_attr( $product->get_id() ),
        esc_attr( $product->get_sku() ),
        $product->is_purchasable() ? 'add_to_cart_button' : '',
        esc_attr( $product->get_type() ),
        esc_html( $product->add_to_cart_text() )
     ),
     $product );
     ?>

    </li>
  <?php
    $prediction_limit --;
  }
echo '</ul>';
?>
<style>

/* Global */
.woocommerce_ai_list_default *,  {
  padding:0px;
  margin:0px;
  float:none;
}

.woocommerce_ai_list_default {
  display: block;
  overflow: auto;
  margin:0px;
}

/* Default Styles */
.woocommerce_ai_list_default li {
  display: block;
  margin:0px;
  width: 25%;
  float:left;
  text-align: center;
  margin-bottom: 24px;
}

.woocommerce_ai_list_a {
  display: block;
  padding: 12px;
}

.woocommerce_ai_list_default li a span{
  width: 100%;
  display: block;
}

.woocommerce_ai_list_default li a span.woocommerce-Price-amount.amount, .woocommerce_ai_list_default li a span.woocommerce-Price-amount.amount span {
  width: auto;
  display: initial;
}

.woocommerce_ai_list_price {
  display: block;
  color: #000000;
  font-size: 16px;
  margin-bottom: 8px;
}

.woocommerce_ai_list_product_title {
  font-size: 20px;
  margin-bottom: 8px;
}

/* Widget Style */
.widget_wasp_widget .woocommerce_ai_list_default li {
    width: 100%;
}

@media only screen and (max-width: 900px) {
  .woocommerce_ai_list_default li {
    width: 50%;
  }
}


@media only screen and (max-width: 450px) {
  .woocommerce_ai_list_default li {
    width: 100%;
    float:none;
  }
}

</style>
<?php

return;
?>
